## CONTENTS OF THIS FILE

 * Introduction
 * Requirements
 * Installation
 * Configuration
 * Usage
 * Maintainers


## INTRODUCTION

The module will integrate OpenAI ChatGPT with our Drupal system. It will add a link on the content add and edit page. On clicking this link, it will open a popup which will provide access to the ChatGPT content search. Content creators can copy the article from the popup and can create a new content with it. This will be greatly beneficial to the content creators and editors as they will be able to generate content instantly with ChatGPT AI on the content creation page itself.

This module has two part -
1. ChatGPT API Configuration page - A "ChatGPT API Settings" link will appear on the Admin->Configuration page from where you can update the API endpoint, access token and other required information to make the API Call.
2. ChatGPT Search link on the content add and edit page.

 * For a full description of the module, visit the project page:
   https://www.drupal.org/project/chatgpt_plugin

 * To submit bug reports and feature suggestions, or to track changes:
   https://www.drupal.org/project/issues/chatgpt_plugin


## REQUIREMENTS

This module requires no modules outside of Drupal core. But we need an OpenAI ChatGPT access token which will allow our Drupal system to make API calls to the OpenAI ChatGPT. Here is how you can get the API token -
1. Please signup first in the OpenAI beta site - https://beta.openai.com/account and then log into the portal.
2. Once you logs into the portal, please navigate to - https://beta.openai.com/account/api-keys to create your API access token.


## INSTALLATION

 * Install the ChatGPT Content Generator module as you would normally install a
   contributed Drupal module. Visit https://www.drupal.org/node/1897420 for
   further information.


## CONFIGURATION

    1. Navigate to Administration > Extend and enable the module.
    2. Navigate to Administration > Configuration > ChatGPT API Settings
       to configure OpenAI ChatGPT API settings.
    3. Enter your API Access token and other information. For more info check here - https://beta.openai.com/docs/api-reference/completions.
    4. Now a "ChatGPT Search" link will appear in both content add and edit page.


## USAGE

In the settings page enter your API access token and save it.

The ChatGPT Search link will now appear in the content add and edit page which will give provide OpenAI ChatGPT access to our content editors.


## MAINTAINERS

 * Anup Sinha (anup.sinha) - https://www.drupal.org/user/2710827
